from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.task import XInteractionPassword

@runtime_checkable
class XInteractionPassword2(XInteractionPassword, Protocol):
    def setPasswordToModify(self, aPasswd: str) -> None: ...
    def getPasswordToModify(self) -> str: ...
    def setRecommendReadOnly(self, bReadOnly: bool) -> None: ...
    def getRecommendReadOnly(self) -> bool: ...
